POST
/createWorldTemplate
http://robomaker.{region}.amazonaws.com/createWorldTemplateCreates a world template.
Access Token Required: API Key
Body Params
namestring
The name of the world template.
tagsobject
A map that contains tag keys and tag values that are attached to the world template.
templateBodystring
The world template body.
templateLocationobject
Information about a template location.
clientRequestTokenstring
Unique, case-sensitive identifier that you provide to ensure the idempotency of the request.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://robomaker.{region}.amazonaws.com/createWorldTemplate' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}